.filtros {
  display: flex;
  flex-direction: column;
  gap: 10px;
  padding: 20px 30px;
  width: 80%;
  margin: 0 auto;

  .filtrosPorFecha {
    display: flex;
    flex-direction: column;
    gap: 5px;

    .filtroGeneral {
      display: grid;
      grid-template-areas:
        "label label"
        "fecha boton";
      gap: 5px;
      width: fit-content;

      &>label {
        grid-area: label;
        align-self: center;
        font-size: 1.2rem;
      }

      &>.calendar {
        width: fit-content;
        grid-area: fecha;
      }

      &>button {
        grid-area: boton;
      }
    }

    .filtrosEspecificos {
      display: flex;
      flex-wrap: wrap;
      justify-content: space-between;
      gap: 5px;
      width: 100%;
      height: auto;
      padding: 10px 0;

      & label {
        font-size: 1.2rem;
        width: 100%;
      }

      .filtroEspecifico {
        display: flex;
        flex-direction: column;
        gap: 5px;

        &>label {
          font-size: 1rem;
        }
      }
    }

    .filtroPorProducto {
      display: flex;
      flex-direction: column;
      gap: 5px;

      &>label {
        font-size: 1rem;
      }

      .p-dropdown {
        height: 50px;
        width: 30%;
        font-size: 16px;
        border: 2px solid var(--info-border);
        border-radius: var(--border-radius);

        .p-dropdown-label {
          display: flex;
          align-items: center;
          width: fit-content;
          padding: 6px 12px;
          color: var(--grey);
        }
      }
    }
  }

  .nota {
    width: 100%;
    font-size: 16px;
    color: var(--grey);
  }
}

.reporte {
  display: flex;
  flex-direction: column;
  gap: 10px;
  padding: 10px;
  width: 80%;
  margin: 0 auto;

  & h1 {
    font-size: 1.6rem;
    font-weight: 600;
  }

  & h4 {
    border-bottom: 1px solid var(--info);
    font-size: 1.4rem;
    font-weight: 600;
  }

  .table {
    border: 2px solid var(--primary);
    width: 100%;
    margin-bottom: 10px;

    .titulo,
    .contenido {
      display: grid;
      grid-template-columns: 1fr 1fr 1fr;
    }

    .titulo {
      background-color: var(--primary);

      & label {
        text-align: center;
        color: white;
        padding: 5px;
        font-weight: 600;
        font-size: 1rem;
      }
    }

    .contenido {
      border: 1px solid var(--primary);

      .contenido-td {
        display: flex;
        flex-direction: column;
        gap: 6px;
        border: 1px solid var(--primary);
        padding: 10px;

        & span {
          font-size: 0.9rem;
          color: var(--text);
        }
      }
    }
  }

  .table-inventario {

    .titulo,
    .contenido {
      display: grid;
      grid-template-columns: 1fr 1fr;
    }
  }

  .table-reservas {

    .titulo,
    .contenido {
      display: grid;
      grid-template-columns: 0.5fr 1.5fr;

      .contenido-td:first-of-type {
        display: grid;
        place-items: center;
      }

      .contenido-td span {
        font-size: 14px;
      }
    }
  }

  .table-calificacion .contenido-td {
    text-align: center;

    & span {
      font-size: 1.5rem !important;
    }

    & span:first-of-type {
      font-size: 1rem !important;
    }
  }
}
